Subject: rent
From: "Dalene Flintz" <[email-masked]>
To: "Mike" <[email-masked]>
Date: Mon, 22 Nov 2010 09:25:58 -0500

Sorry I missed you!!! I ended up working all day Friday I usually only
work till noon. Cristal had surgery, I wasn't at church yesterday but
Myranda had the money here for you , she said she didn't see you. I
figured I usually see you in the cafe and so she could catch you there,
can I bring it today??